<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: index.php 19 2006-12-27 06:25:26Z zanix $
 *
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

define('AS_VERSION', $roster->locale->act['Aldor_Scryer_title_addon'].' v'.$addon['version']);

$roster->output['title'] = $roster->locale->act['Aldor_Scryer_title_addon'];

$choiceForm = '<form action="'.makelink($roster->pages[0].'-'.$addon['basename']).'" method="POST">
	'.$roster->locale->act['professions'].' : 
	<select name="Professionsfilter" onchange="window.location.href=this.options[this.selectedIndex].value">
		<option value="'.makelink($roster->pages[0].'-'.$addon['basename'].'&amp;Professionsfilter=All').'">'.$roster->locale->act['AS_Select_Professions'].'</option>"\n';

foreach( $roster->locale->act['prof_to_en'] as $prof )
	{
	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) == $prof))
		$choiceForm .= '<option value="'.makelink($roster->pages[0].'-'.$addon['basename'].'&amp;Professionsfilter='.$prof).'" selected="selected">'.$roster->locale->act[$prof]."</option>\n";
	else
		$choiceForm .= '<option value="'.makelink($roster->pages[0].'-'.$addon['basename'].'&amp;Professionsfilter='.$prof).'">'.$roster->locale->act[$prof]."</option>\n";
	}

$choiceForm .= '</select></form><br />';

$content .= ($choiceForm);

if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		$content .="<h1>".$roster->locale->act[$_REQUEST['Professionsfilter']]."</h1>";


$content.="<table style=\"text-align: left; margin-left: auto; margin-right: auto;\" border=\"0\" cellpadding=\"10\" cellspacing=\"10\">
  <tbody>
    <tr>
      <td style=\"text-align: center; vertical-align: top;\">";
$AS_faction = 'Aldor';
require( $addon['dir'] . 'inc/faction.php');
$content.="</td>
      <td style=\"text-align: center; vertical-align: top;\">";
require( $addon['dir'] . 'inc/neutre.php');
$content.="</td>
      <td style=\"text-align: center; vertical-align: top;\">";
$AS_faction = 'Scryer';
require( $addon['dir'] . 'inc/faction.php');
$content.="</td>
	</tr>
  </tbody>
</table>
";

$content .= '<br /><br /><br />'.AS_VERSION;

?>