<?php
/**
 * WoWRoster.net WoWRoster
 *
 * LICENSE: Licensed under the Creative Commons
 *          "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * @copyright  2002-2007 WoWRoster.net
 * @license    http://creativecommons.org/licenses/by-nc-sa/2.5   Creative Commons "Attribution-NonCommercial-ShareAlike 2.5"
 * @version    SVN: $Id: install.def.php $
 * @link       http://www.wowroster.net
 * @package    Aldor_Scryer
 * @subpackage Installer
*/

if ( !defined('IN_ROSTER') )
{
    exit('Detected invalid access to this file!');
}

/**
 * Installer for Aldor_Scryer Addon
 * @package    Aldor_Scryer
 * @subpackage Installer
 */
class aldor_scryerInstall
{
	var $active = true;
	var $icon = 'spell_arcane_portalshattrath';

	var $version = '0.5.4';
	var $wrnet_id = '0';
	var $fullname = 'Aldor_Scryer';
	var $description = 'Compare reputation Aldor/Scryer';
	var $credits = array(
		array(	"name"=>	"Titan99",
				"info"=>	"Compare reputation Aldor / Scryer"),
	);

	/**
	 * Install Function
	 *
	 * @return bool
	 */
	function install()
	{
		global $installer, $roster;

		$installer->add_menu_button('Aldor_Scryer_menu','guild','','spell_arcane_teleportshattrath');
		//$installer->add_menu_button('Aldor_Scryer_menu','realm','','spell_arcane_portalshattrath');

		return true;
	}

	/**
	 * Upgrade Function
	 *
	 * @param string $oldversion
	 * @return bool
	 */
	function upgrade($oldversion)
	{
		// Nothing to upgrade from yet
		return true;
	}

	/**
	 * Un-Install Function
	 *
	 * @return bool
	 */
	function uninstall()
	{
		global $installer, $roster;

		$installer->remove_all_menu_button();

		return true;
	}
}
