<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 * -----------------------------
 *
 * $Id: membersRep.php 19 2006-12-27 06:25:26Z zanix $
 *
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

	$neutre=0;

	$query = "SELECT DISTINCT m.member_id, m.name member, p.clientLocale ".
					 "FROM `".$roster->db->table('reputation')."` r, `".$roster->db->table('members')."` m, `".$roster->db->table('players')."` p";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		$query .= ", `".$roster->db->table('skills')."` s";

	$query .= " WHERE m.guild_id = '".$roster->data['guild_id']."' ".
						"AND r.member_id = m.member_id ".
						"AND p.member_id = m.member_id ";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		$query .= "AND s.member_id = m.member_id ";

	$inClause = "'";
	foreach( $roster->multilanguages as $lang )
	{
		$inClause .= addslashes($roster->locale->wordings[$lang]['Scryer'])."', '";
	}
	$inClause .= "'";

	$query .= "AND r.name IN ($inClause) ";

	$inClause = "'";
	foreach( $roster->multilanguages as $lang )
	{
		$inClause .= addslashes($roster->locale->wordings[$lang]['neutral'])."', '";
		$inClause .= addslashes($roster->locale->wordings[$lang]['unfriendly'])."', '";
	}
	$inClause .= "'";

	$query .= "AND r.standing IN ($inClause) ";

	if( (isset($_REQUEST['Professionsfilter'])) && (($_REQUEST['Professionsfilter']) != 'All') )
		{
			$inClause = "'";
			foreach( $roster->multilanguages as $lang )
			{
				$inClause .= addslashes($roster->locale->wordings[$lang][$_REQUEST['Professionsfilter']])."', '";
			}
			$inClause .= "'";
			$query .= "AND s.skill_name IN ($inClause) ";
		}

	$query .= "ORDER BY m.name ASC";

	$result = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', basename(__FILE__),__LINE__,$query);

	$ab = array();
	$striping_counter = 1;
	$rep = array();

	while($row = $roster->db->fetch($result))
	{
		$standing = 'neutral';
		$query = "SELECT s.skill_name, s.skill_level ".
			"FROM `".$roster->db->table('skills')."` s ".
			"WHERE s.member_id = ".$row['member_id']."  ".
		"AND s.skill_type='".$roster->locale->wordings[$row['clientLocale']]['professions']."'";

		$result2 = $roster->db->query($query) or die_quietly($roster->db->error(),'Database Error', basename(__FILE__),__LINE__,$query);
		
		$cell_value = '';
		while($row2 = $roster->db->fetch($result2))
		{
			$toolTip = str_replace(':','/',$row2['skill_level']);
			if ($row['clientLocale'] != $roster->config['locale']) {
				$toolTiph = $roster->locale->wordings[$row['clientLocale']]['prof_to_en'][$row2['skill_name']];
				if ($roster->config['locale'] != 'enUS')
					$toolTiph = $roster->locale->act[$toolTiph];
			} else {
				$toolTiph = $row2['skill_name'];
			}
			$skill_image = 'Interface/Icons/'.$roster->locale->wordings[$row['clientLocale']]['ts_iconArray'][$row2['skill_name']];

			$cell_value .= "<img class=\"membersRowimg\" width=\"16\" height=\"16\" src=\"".$roster->config['interface_url'].$skill_image.'.'.$roster->config['img_suffix']."\" alt=\"\" ".makeOverlib($toolTip,$toolTiph,'',2,'',',RIGHT,WRAP')." />\n";
		}

		// Increment counter so rows are colored alternately
		++$striping_counter;
		
		if (!isset($rep[$standing])) $rep[$standing] = '';

		$rep[$standing] .=('<tr class="membersRow'. (($striping_counter % 2) +1) ."\">\n");
		$rep[$standing] .=('<td class="membersRow'. (($striping_counter % 2) +1) .'"><a href="'.makelink('char-info&member='.$row['member_id']).'">'.$row['member'].'</a></td>');
		$rep[$standing] .=('<td class="membersRowRight'. (($striping_counter % 2) +1) .'"><center>'.$cell_value.'</center></td>');
		$rep[$standing] .=('</tr>');
		
		$neutre=1;
	}

	$roster->db->free_result($result);
	
	if($neutre==1)
	{
		$borderTop = border('syellow', 'start', $roster->locale->act['neutral']);
		$tableHeader = '<table width="100%" cellspacing="0" class="bodyline">';
		$tableHeaderRow = '	<tr>
			<th class="membersHeader">'.$roster->locale->act['name'].'</th>
			<th class="membersHeaderRight"> '.$roster->locale->act['professions'].'</th>
			</tr>';
		$borderBottom = border('syellow', 'end');
		$tableFooter = '</table>';

	if (array_key_exists('neutral',$rep))
	{	
		$content .=($borderTop);
		$content .=($tableHeader);
		$content .=($tableHeaderRow);
	
		$content .=($rep['neutral']);
	
		$content .=($tableFooter);
		$content .= $borderBottom;
	}
	
	}